List power feeds for a dedicated server
GET
/v1/hosts/dedicated_servers/{server_id}/power_feedsObtain a list of all the power feeds for a server by sending a GET request to /v1/hosts/dedicated_servers/{server_id}/power_feeds. The server ID has to be specified in the path parameter.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
server_id*string
A unique identifier of a server.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/hosts/dedicated_servers/ELe3Jpd6/power_feeds"[ { "name": "Power 2", "status": "on", "type": "physical" }, { "name": "Power 1", "status": "on", "type": "physical" }]{ "message": "Not found", "code": "NOT_FOUND"}{ "message": "The power operation has failed", "code": "FAILED_POWER_MANAGEMENT"}{ "message": "Host is not ready", "code": "PRECONDITION_FAILED"}